package library.core.system;

import java.util.HashMap;

import android.content.Context;
import android.graphics.Bitmap;


/**
 * 全画像の保存用クラス
 * @author 貴裕
 *
 */
public class CoreImagePool {



	private HashMap<String, Bitmap> imageDatas;
	private CoreImageFactory factory;


	public CoreImagePool(Context context){
		imageDatas=new HashMap<String, Bitmap>();
		factory=new CoreImageFactory(context);
	}


	/**
	 *
	 * @param fileName
	 * @param splitX
	 * @param splitY
	 * @return
	 */
	public Bitmap getBitmap(CoreImageData data){
		Bitmap bmp=imageDatas.get(data.getFileName()+"["+data.getPointX()+","+data.getPointY()+"]");


		if(bmp==null){
			bmp = factory.load(data,imageDatas);
		}

		return bmp;
	}


	/**
	 * bitmapデータを空にする
	 * 画面遷移やメモリーの低下時に使用
	 */
	public void cleanDatas(){
		this.imageDatas.clear();
	}


}
